XAMPP 1.8.3 CGI-BIN ERROR

Irgendwelche Probleme mit XAMPP für Linux? Dann ist hier genau der richtige Ort um nachzufragen.

XAMPP 1.8.3 CGI-BIN ERROR

Postby jason51 » 15. August 2013 13:10

hallo

ich habe mir xampp v1.8.3 runtergeladen und unter debian 7 installiert.
cgi scripte kann man ohne probleme in den CGI-BIN ordner hochladen und auch die passenden rechte vergeben.

sobald ich das script öfnen möchte bekomme ich folgende fehlermeldung:
Code: Select all
Zugriff verweigert!

Der Zugriff auf das angeforderte Objekt ist nicht möglich. Entweder kann es vom Server nicht gelesen werden oder es ist zugriffsgeschützt.

Sofern Sie dies für eine Fehlfunktion des Servers halten, informieren Sie bitte den Webmaster hierüber.
Error 403
localhost
Apache/2.4.4 (Unix) OpenSSL/1.0.1e PHP/5.5.1 mod_perl/2.0.8-dev Perl/v5.16.3



ich kann keinerlei scripte die im cgi-bin ordner sind ausführen.


wie kann ich das ändern?
die xampp installation ist neu und OHNE änderungen an der config



in der errorlog steht folgendes drin:
Code: Select all
[Thu Aug 15 13:42:18.396127 2013] [:error] [pid 8849] Options ExecCGI is off in this directory/opt/lampp/cgi-bin/chat/chat.pl
jason51
 
Posts: 9
Joined: 05. May 2009 20:41

Re: XAMPP 1.8.3 CGI-BIN ERROR

Postby jason51 » 16. August 2013 09:05

kann mir denn wirklich niemand helfen?
jason51
 
Posts: 9
Joined: 05. May 2009 20:41

Re: XAMPP 1.8.3 CGI-BIN ERROR

Postby Dweeber » 31. August 2013 22:10

The most common cause of this is the missing of

Code: Select all
Require all granted


Like:

Code: Select all
<Directory "/opt/lampp/cgi-bin">
    AllowOverride None
    Options None
    Require all granted
</Directory>
Dweeber
 
Posts: 7
Joined: 06. December 2011 22:27
Operating System: Solaris 10 Sparc & x86


Return to XAMPP für Linux

Who is online

Users browsing this forum: No registered users and 4 guests